# tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor Class Reference

Allows write access to elements and combines data access, locking, and garbage collection. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor:

List of all members.

## Public Types
typedef concurrent_hash_map::value_type | value_type
| Type of value.
## Public Member Functions
reference | operator* () const
| Return reference to associated value in hash table.
pointer | operator-> () const
| Return pointer to associated value in hash table.

## Detailed Description

### template<typename Key, typename T, typename HashCompare, typename Allocator>
class tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor

Allows write access to elements and combines data access, locking, and garbage collection.

The documentation for this class was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.